# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

price_menu_item = items.MenuItem(
    # GENERAL
    _('Price'), 
    reverse('admin:app_list', kwargs={'app_label': 'price'}),
    children=[
        items.MenuItem(
            _('Price'), '',
            children=[
                items.MenuItem(_('Add PriceList'), reverse('admin:price_pricelist_add',)),
                items.MenuItem(_('PriceList List'), reverse('admin:price_pricelist_changelist',)),
                items.MenuItem(_('Add Price'), reverse('admin:price_pricelistitem_add',)),
                items.MenuItem(_('Price List'), reverse('admin:price_pricelistitem_changelist',)),
                items.MenuItem(_('Add Organization PriceList'), reverse('admin:price_organizationpricelist_add',)),
                items.MenuItem(
                    _('Organization PriceList List'), reverse('admin:price_organizationpricelist_changelist',)),
            ]
        ),
    ]
)


register_menu(price_menu_item, 'jmb.price')
